summaryrefslogtreecommitdiffstats
path: root/system/lsb-release
diff options
context:
space:
mode:
author W.D. Montgomery2018-07-01 03:50:41 +0200
committer Willy Sudiarto Raharjo2018-07-07 01:54:12 +0200
commit4b319ef27bcafcf19fbe3bf6b57f9f0ba6475af8 (patch)
tree1ccee8f75f7969d2b88f664c526fcd8341105e31 /system/lsb-release
parent1ac48efe18876552e2713065b64bb4fcc8e64183 (diff)
downloadslackbuilds-4b319ef27bcafcf19fbe3bf6b57f9f0ba6475af8.tar.gz
system/lsb-release: Added (LSB version query program).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/lsb-release')
-rw-r--r--system/lsb-release/README11
-rw-r--r--system/lsb-release/lsb-release.SlackBuild94
-rw-r--r--system/lsb-release/lsb-release.etc4
-rw-r--r--system/lsb-release/lsb-release.info10
-rw-r--r--system/lsb-release/lsb-release.slk4
-rw-r--r--system/lsb-release/slack-desc19
6 files changed, 142 insertions, 0 deletions
diff --git a/system/lsb-release/README b/system/lsb-release/README
new file mode 100644
index 0000000000..9b32bb1865
--- /dev/null
+++ b/system/lsb-release/README
@@ -0,0 +1,11 @@
+LSB version query program (lsb_release) by Dominique Massonie
+(mdomi@users.sourceforge.net)
+
+This program forms part of the required functionality of the LSB
+(Linux Standard Base) specification.
+
+The program queries the installed state of the distribution to display
+certain properties such as the version of the LSB against which the
+distribution claims compliance as well. It can also attempt to display
+the name and release of the distribution along with an identifier of
+who produces the distribution.
diff --git a/system/lsb-release/lsb-release.SlackBuild b/system/lsb-release/lsb-release.SlackBuild
new file mode 100644
index 0000000000..40e8293469
--- /dev/null
+++ b/system/lsb-release/lsb-release.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for lsb_release
+
+# Copyright 2018 W.D.Montgomery Alachua, FL
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=lsb-release
+VERSION=${VERSION:-1.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make
+make install prefix=$PKG/usr
+
+# create lsb config file and install it into the $PKG directory
+DIST_VER=`cut -d " " -f 2 /etc/slackware-version`
+sed "s/current/$DIST_VER/" $CWD/$PRGNAM.slk > $CWD/$PRGNAM.etc
+mkdir -p $PKG/etc
+cp $CWD/$PRGNAM.etc $PKG/etc/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/lsb-release/lsb-release.etc b/system/lsb-release/lsb-release.etc
new file mode 100644
index 0000000000..a5da09854e
--- /dev/null
+++ b/system/lsb-release/lsb-release.etc
@@ -0,0 +1,4 @@
+LSB_VERSION=1.4
+DISTRIB_ID=slackware
+DISTRIB_RELEASE=14.2
+DISTRIB_DESCRIPTION="Slackware Linux "
diff --git a/system/lsb-release/lsb-release.info b/system/lsb-release/lsb-release.info
new file mode 100644
index 0000000000..8c754524e0
--- /dev/null
+++ b/system/lsb-release/lsb-release.info
@@ -0,0 +1,10 @@
+PRGNAM="lsb-release"
+VERSION="1.4"
+HOMEPAGE="https://sourceforge.net/projects/lsb/files/lsb_release"
+DOWNLOAD="https://downloads.sourceforge.net/lsb/lsb-release-1.4.tar.gz"
+MD5SUM="30537ef5a01e0ca94b7b8eb6a36bb1e4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="W.D. Montgomery"
+EMAIL="wdm.bacchus@gmail.com"
diff --git a/system/lsb-release/lsb-release.slk b/system/lsb-release/lsb-release.slk
new file mode 100644
index 0000000000..34511b30c7
--- /dev/null
+++ b/system/lsb-release/lsb-release.slk
@@ -0,0 +1,4 @@
+LSB_VERSION=1.4
+DISTRIB_ID=slackware
+DISTRIB_RELEASE=current
+DISTRIB_DESCRIPTION="Slackware Linux "
diff --git a/system/lsb-release/slack-desc b/system/lsb-release/slack-desc
new file mode 100644
index 0000000000..16aec3e883
--- /dev/null
+++ b/system/lsb-release/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+lsb-release: lsb-release (LSB version query program)
+lsb-release:
+lsb-release: The program queries the installed state of the distribution to display
+lsb-release: certain properties such as the version of the LSB against which the
+lsb-release: distribution claims compliance as well. It can also attempt to display
+lsb-release: the name and release of the distribution along with an identifier of
+lsb-release: who produces the distribution.
+lsb-release:
+lsb-release:
+lsb-release:
+lsb-release: